/********************************************************************/
/**                     Microsoft LAN Manager                      **/
/**               Copyright(c) Microsoft Corp., 1987-1990          **/
/********************************************************************/


   You will find the documentation on how this file is formatted at the end
   of this file.
*/
%A CONTINUE:	CONT
%A DEVICE:	DEV
%A ERROR:	ERRORS
%A FILE:	FILES
%A FORWARD:	FOR
%A GROUP:	GROUPS
%A LOGOFF:	LOGOUT
%A LOGON:	LOGIN
%A PEER: PS, PEER_SERVER
%A REMOTEBOOT: RIPL, RPL, REMOTEBOOT
%A REPLICATOR: REPL, REPLICATOR
%A SEPARATOR:	SEP
%A SESSION:	SESSIONS, SESS
%A STATISTICS:	STATS
%A USER:	USERS
%A WORKSTATION:	REDIRECTOR, REDIR, RDR, WORK, WKSTA, PRDR, DEVRDR
%A MESSENGER:	MSG, RECEIVER, RCV
%A SERVER:	SVR,  SRV
%A NETRUN:	RUNSRV, RUNSERVER, RUNSERVR
%a MONOCHROME:	MONO

!C AT
!C BACKACC
!C CACHE
!C CHKSTOR
!C ERRPOPUP
!C FTADMIN
!C FTMONIT
!C FTSETUP
!C MAKEIMG
!C NAMES
!C NET
!C PORTACC
!C PRIV
!C RESTACC
!C RPLDSABL
!C RPLENABL
!C SYNTAX

.1 AT
:1    [id] [/DELETE]
      time [/EVERY:date[,...] | /NEXT:date[,...]] command 
#1 AT schedules a program or command to be run at a later date or time on
   a server. When used without options, it displays a list of programs and
   commands scheduled to be run. The programs and commands are stored in the
   server's LANMAN\LOGS\SCHED.LOG file, so scheduled tasks are not lost if 
   you restart the server.

   If you change the system time after scheduling a command to run, the AT 
   scheduler should be synchronized with the revised time by typing AT 
   without options.

   To get Help one screen at a time, type NET HELP command | MORE.
$1        
   command            Is the MS OS/2 or LAN Manager command or batch 
                      program (.CMD file) to be run. When the command 
                      requires a pathname, use the absolute pathname.

   id                 Is an identification number assigned to a scheduled
                      command. To see the identification number of a command,
                      type AT without options.

   time               Is the time when command is to run. It is expressed
                      as hours:minutes in 24-hour notation (00:00 [midnight]
                      through 23:59). 

   /DELETE            Cancels a scheduled command. If you omit the 
                      identification number, all scheduled commands on the
                      server are canceled.

   /EVERY:date[,...]  Runs the command each time the specified day(s) of the 
                      week or month occurs. Date is one or more days of the week
                      (M,T,W,Th,F,S,Su) or days of the month (1-31). If date
                      is omitted, today's date is assumed.

   /NEXT:date[,...]   Runs the specified command only on the next occurrence of
                      the day(s).

.1 BACKACC
:1         [[drive:]pathname [/F:[drive:]target] [/A] [/S]]
#1 BACKACC backs up permissions on the high-performance file system 386 volumes,
   the user accounts database (NET.ACC), and the audit log (NET.AUD) while 
   LAN Manager is running. When used without options, BACKACC backs up the user
   accounts database and the audit log.

   This command only works on servers.

   See also RESTACC.

   To get Help one screen at a time, type NET HELP command | MORE.
$1        
   drive:     Is the drive letter for the shared directory.

   pathname   Is the directory or file whose permissions are to be backed
              up. If you don't specify a pathname, only NET.ACC and 
              NET.AUD are backed up.

   /A         Appends access permissions to the current .ACL file.

   /F:target  Is a target file to store the permissions. The default 
              directory is the current working directory. If /F:target is 
              not specified, the target is ACLBAKd.ACL, where d is the drive
              letter of the volume being backed up. 

   /S         Is valid only if pathname is a directory. It backs up
              permissions for all subdirectories and files of pathname.

.1 CACHE
:1       [/BUFFERIDLE:[drive:]time]
         [/LAZY:[drive:]{ON | OFF}]
         [/MAXAGE:[drive:]time]
         [/OPTIONS[drive:]]
         [/STATS: [CLEAR | DYNAMIC]]
#1 CACHE establishes file system caching for a high-performance file system 386
   volume. When used without options, it displays caching statistics. 
   CACHE is placed in the operating system configuration file at installation.

   To get Help one screen at a time, type NET HELP command | MORE.
$1       
   /BUFFERIDLE:[drive:]time    Sets the minimum number of milliseconds the
                               buffer must be idle before its contents can be
                               written to the disk. The range is 0-500000; the
                               default is 500 milliseconds. A value between
                               100 and 1000 is suggested.

   /LAZY:[drive:]{ON | OFF}    Enables or disables lazy writes. If no
                               drive is specified, the action applies to
                               all high-performance file system 386 drives. If
                               you specify /LAZY with no values, lazy writes
                               are enabled for all High-Performance File
                               System 386 partitions.

   /MAXAGE:[drive:]time        Sets the maximum number of milliseconds a dirty
                               cache block can be in memory before its contents
                               are written to memory. The range is 0-1000000;
                               the default is 5000 milliseconds. A value
                               between 1000 and 20000 is suggested.

   /OPTIONS[drive:]            Displays cache configuration options.

   /STATS:[CLEAR | DYNAMIC]    Displays cache statistics. Specifying /STATS 
                               with no value displays the current statistics.
                               CLEAR clears the current statistics, resetting
                               all values to 0. DYNAMIC causes the statistics
                               display to remain on the screen and be updated
                               approximately once per second. (If output has 
                               been redirected, DYNAMIC is ignored.)

.1 CHKSTOR
:1         [\\computername | /DOMAIN[:name]] [name [...]] [/ALERTS:{YES | NO}]
#1 CHKSTOR checks the storage remaining in home directories on a server.
   When used without options, it displays a report of used disk space for 
   the local server. Only those users who are over their storage limit are
   included in the report.

   For each home directory on the server that is over the storage limit, 
   LAN Manager reports the username, disk space allowed, disk space used, 
   and home directory's path.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   \\computername      Is the server on which storage is to be checked.

   name [...]          Is a username(s) and/or groupname(s). Specifying a name
                       limits storage checking to the user or members
                       of the group. Separate names with spaces. If you
                       supply both a username and a groupname for a group 
                       to which that user belongs, LAN Manager reports
                       the use of that user's home directory only once.

   /ALERTS:{YES | NO}  If set to YES (the default), generates an alert for
                       each user account that exceeds the storage limit.
                       These alerts are sent to administrators listed in
                       ALERTNAMES in the LANMAN.INI file's [server]
                       section and to the user whose account has exceeded 
                       the storage limit. If /ALERTS is set to NO, alerts 
                       are not sent.

   /DOMAIN[:name]      Runs CHKSTOR on the servers in the domain specified
                       by the domain entry in LANMAN.INI. To run the command
                       on another domain, supply the name of that domain.

.1 ERRPOPUP
:1          program [options]
#1 ERRPOPUP runs a program and displays any error messages from the program
   in a popup window. Use ERRPOPUP with detached programs to detect errors that 
   occur when running the program. A detached program is a program that is run
   from the CONFIG.SYS program RUN entries or started with the MS OS/2 DETACH
   command.

   To get Help one screen at a time, type NET HELP command | MORE.
$1          
   options  Are one or more options passed to program.

   program  Is the name of a program (or executable file) to run. Supply the
            pathname for the program if the directory is not already listed 
            with the MS OS/2 PATH command.

.1 FTADMIN
:1         [\\computername] [/MONO]
#1 FTADMIN starts the FTADMIN fault-tolerance utility. It is a full-screen
   MS OS/2 application that runs in a Presentation Manager window. When used
   without options, FTADMIN starts the fault-tolerance utility on the local
   computer.

   To get Help one screen at a time, type NET HELP command | MORE.
$1          
   \\computername  Specifies the computer where the fault-tolerance utility
                   is to be used.

   /MONO           May provide a clearer display on a monochrome screen.
                   Type the command with and without /MONO and decide which
                   display is best.

.1 FTMONIT
:1         [/ALERT:{YES | NO}] 
           [/COMPARE:{YES | NO}] 
           [/QUIET:{YES | NO}]
           [/CLEAR:{YES | NO}]
#1 FTMONIT starts the fault-tolerance utility's error-monitoring feature
   or clears statistics about error monitoring. When used without options, 
   it displays statistics. 

   To get Help one screen at a time, type NET HELP command | MORE.
$1        
   /ALERT:{YES | NO}    Specifies whether to send disk error alerts to users
                        listed in ALERTNAMES in the LANMAN.INI file's [server]
                        section. The default is YES.

   /CLEAR:{YES | NO}    Set to YES, resets all statistics to zero. The default
                        is NO.

   /COMPARE:{YES | NO}  Specifies whether to do a low-confidence comparison
                        of mirrored drives when the computer starts. The 
                        default is YES.

   /QUIET:{YES | NO}    Specifies whether FTMONIT displays a status
                        message whenever the server is restarted. YES 
                        suppresses the display. The default is NO.

.1 FTSETUP
:1         
#1 FTSETUP installs the disk fault-tolerance system and prompts for information
   needed to configure drive mirroring and drive duplexing.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   There are no options for this utility.

.1 MAKEIMG
:1         [drive:]filename[.def]
#1 MAKEIMG packages all of the system programs that are on a floppy disk 
   into an image file. The image file is used as a startup drive for MS-DOS
   workstations being booted by the Remoteboot service.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   .def      Is an extension for the definition filename. If an extension is
             not specified, .DEF is assumed.

   drive:    Is the drive letter where a disk formatted with the FORMAT /S
             command can be found. If the drive letter is omitted, drive A
             is assumed.

   filename  Is the name of the definition file to be used. The image file 
             that is created has the same base filename, but with a .IMG 
             extension.

.1 NAMES
:1

   The following types of names are used with LAN Manager:

   Alias         A name to which messages can be sent. Each workstation's
                 computername and the username logged on at that
                 workstation are added to its list of aliases. Use the 
                 NET NAME command to view a workstation's aliases or 
                 add new ones.

   Computername  A unique name that identifies a workstation or server on 
                 the local-area network.

   Devicename    The name by which LAN Manager identifies a disk resource,
                 printer, or communication device. A disk resource is 
                 identified by a drive letter followed by a colon (for 
                 example, D:). A printer or communication device is 
                 identified by a port name followed by a colon (for example,
                 LPT1: or COM1:).

   Domain        A group of servers and workstations on the network. A domain
                 has a unique name. Usually, you must log on in a domain to 
                 gain access to the network. The domain you log on in is called
                 the logon domain. If you don't specify a domain name at logon,
                 you log on in a default domain. This is called the workstation
                 domain.

   Filename      The name of a file. Under the file allocation table (FAT) 
                 file system, a filename can have as many as eight characters,
                 followed by a period (.) and an extension of as many as three
                 characters. Under the MS OS/2 1.2 high-performance file system
                 (HPFS), a filename can have as many as 254 characters. 

   Network path  A description of the location of a shared resource, consisting
                 of a server's computername followed by the sharename of the
                 resource. The computername is preceded by two backslashes, and
                 the sharename is preceded by one backslash (for example,
                 \\SERVER1\RESOURCE).

   Path          The location of a directory. A path can consist of a 
                 devicename and one or more directory names. A 
                 backslash (\) precedes each directory name (for example,
                 C:\CUSTOMER\CORP\ACCT).

   Pathname      A path and a filename. The filename is preceded by a 
                 backslash (\) (for example, C:\CUSTOMER\CORP\REPORT.DOC).

   Sharename     A name that identifies a shared resource on a server. A
                 sharename is used with the server's computername to form a 
                 network path (as in \\SERVER\RESOURCE).

   Username      The name a person supplies when logging on at a workstation.

   To view these definitions one screen at a time, type NET HELP NAMES | MORE.
#1
$1 There are no options for this topic. This is a help topic about the
   different types of names LAN Manager uses. It is not a NET command.
.1 PORTACC
:1         pathname 
#1 PORTACC converts a LAN Manager 1.x user accounts database to a 
   LAN Manager 2.0 user accounts database.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   pathname     Is the pathname of the LAN Manager 1.x NET.ACC file, saved
                before upgrading the LAN Manager software.

.1 PRIV
:1      command [values]
#1 PRIV ensures that a background process started by an administrator on a
   386 server with local security remains privileged after the administrator
   logs off. A privileged process is a background process that has the
   equivalent of administrative privilege. A privileged process can access all
   files on the server for as long as it runs, no matter who logs on or off
   locally at the server.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   command  Is a .EXE, .COM, or .CMD file in the current path, or an internal
            MS OS/2 command.

   values   Are options of the command being run.

.1 RESTACC
:1         [drive:]pathname [[drive:]newname] [/F:[drive:]source] [/S]
#1 RESTACC restores the permissions for high-performance file system 386
   volumes, the user accounts database, and the audit file stored with 
   BACKACC.

   This command only works on servers.

   See also BACKACC.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   drive:     Is an optional drive letter.

   newname    Is a new file to receive permissions from a file that was
              backed up with BACKACC. The existing permissions on newname
              (if any) are replaced with the restored permissions.

   pathname   Is the directory or file for which permission records are
              to be restored.

   /F:source  Is the source file used to restore permissions. If source is
              omitted, LAN Manager uses LANMAN\ACCOUNTS\ACLBAKd.ACL, where
              d is the drive letter of the volume being backed up.

   /S         Is used with pathname only. It restores permissions for all
              subdirectories of the specified directory.

.1 RPLDSABL
:1         
#1 RPLDSABL disables the Remoteboot service at a workstation that has a hard
   disk. Use RPLDSABL at a workstation that is no longer going to be started
   remotely. After running RPLDSABL, the workstation boots from its own hard
   disk instead of from a server running the Remoteboot service.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   There are no options for this utility.

.1 RPLENABL
:1           
#1 RPLENABL enables the Remoteboot service at a workstation that has a hard
   disk. It configures the hard disk so that the workstation can be started 
   from a server that is running the Remoteboot service. This does not prevent 
   access to the hard disk after the workstation is booted remotely.

   To get Help one screen at a time, type NET HELP command | MORE.
$1         
   There are no options for this utility.

.1 SYNTAX
:1

   The following conventions are used to distinguish command syntax:

   ž  Capital letters represent words that must be typed as shown. Lower-
      case letters represent names of items that may vary, such as filenames.

   ž  The [ and ] characters surround optional items that can be supplied
      with the command.

   ž  The { and } characters surround lists of items. You must supply one 
      of the items with the command.

   ž  The | character separates items in a list. Only one of the items can
      be supplied with the command.

      For example, in the following syntax, you must type NET COMMAND and
      either OPTION1 or OPTION2. Supplying a name is optional.
          NET COMMAND [name] {OPTION1 | OPTION2}

   ž  The [...] characters mean you can repeat the previous item. 
      Separate items with spaces.

   ž  The [,...] characters mean you can repeat the previous item, but
      you must separate items with commas or semicolons, not spaces.
#1
$1 There are no options for this topic. This topic is about how to
   read syntax lines. It is not a NET command.

.1 NET
.2     ACCESS
:2            [resource]
              resource [/ADD [name:permission[...]] | /DELETE]
                       [/GRANT name:permission[...] | 
                          /CHANGE name:permission[...] | /REVOKE name [...]]
                       [/TRAIL:{YES | NO}] 
                       [/FAILURE:{ALL | NONE}] 
                       [/FAILURE:{[OPEN];[WRITE];[DELETE];[ACL];[...]}
                       [/SUCCESS:{ALL | NONE}] 
                       [/SUCCESS:{[OPEN];[WRITE];[DELETE];[ACL];[...]}
                       [/TREE]
#2 NET ACCESS creates, changes, and revokes permissions, and sets auditing
   for resources on servers with user-level security. When used without
   options, NET ACCESS lists the server's resources and their permissions.

   Permissions assigned to a directory automatically become the permissions
   for files within it unless specific permissions are assigned. New
   permissions then override the original permissions. 

   NOTE: /TRAIL can't be used with /FAILURE or /SUCCESS.

   To get Help one screen at a time, type NET HELP command | MORE.
$2           
   directory             Is the absolute pathname of a directory. /

   name:permission[...]  Identifies an existing username(s) or groupname(s)
                         and one or more of the following permissions to 
                         be granted. Username permissions override groupname
                         permissions. Separate multiple name:permissions entries
                         with a space. An option followed by name:permission
                         expects everything following the option to be a
                         username or groupname and a set of permissions.

                         Type permissions for access to a disk resource
                         without a delimiter (for example, RWC). Type \PRINT,
                         \COMM, or \PIPE before the sharenames of these non-
                         disk resources when assigning default permissions. For
                         a \COMM resource, Y provides RWC permissions. For a 
                         \PIPE resource, Y provides RW permissions. For a
                         \PRINT resource, Y provides C permission.
                Letter   Permission
                ÄÄÄÄÄÄ   ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
                  A      Change resource attributes. The attributes are R 
                         (read only), H (hidden), S (system), and A (archive).
                  C      Create files and directories in a shared 
                         directory. Users with this permission can change the
                         file only while creating it.
                  D      Delete files and subdirectories within the shared
                         directory, but not the shared directory. 
                  N      (No) Denies access to a resource.
                  P      Change permissions for a directory or file.
                  R      Read, copy, and execute files, and change from one
                         subdirectory to another within the shared directory.
                  W      Write to a file.
                  X      Execute a command or program. Only MS OS/2 computers
                         recognize X permission. To allow a user with an 
                         MS-DOS workstation to run a program, grant that user
                         R permission. 
                         NOTE:  X permission isn't needed if R permission
                                is assigned to the user for that directory 
                                or file. R permission includes all rights that
                                X permission grants.
                  Y      (Yes) Gives default (RWCDA) access permissions to 
                         a resource.

   resource              Is a disk, directory (absolute path), file (absolute
                         path), \PRINT (printer queue), \COMM (communication-
                         device queue), or \PIPE (named pipe) for which 
                         permissions are to be assigned.

   ACL                   Does an audit when permissions for a resource are 
                         changed. The audit records are only written if the
                         Server service was started with /AUDITING:YES or 
                         an auditing event is listed.

   ALL                   Determines an audit for all accesses to a resource.

   DELETE                Determines an audit when a shared file is deleted.

   NONE                  Determines no audit for access to a resource.

   OPEN                  Determines an audit when shared files are opened.

   WRITE                 Determines an audit when a file is deleted.

   /ADD                  Adds a sharename and, optionally, one or more user's
                         or group's permissions to use the resource. You can 
                         name a resource and define permissions for it before
                         sharing it.

   /CHANGE               Changes one or more user's or group's permissions 
                         for a resource.

   /DELETE               Removes all permissions for a resource from the 
                         accounts database.

   /FAILURE              Audits failed accesses to resources as determined 
                         by the values ALL, NONE, OPEN, WRITE, DELETE, and ACL.
                         /FAILURE also expands the resource display.
                         /FAILURE and /SUCCESS can be on the same command
                         line, but do not use /FAILURE with /TRAIL.

   /GRANT                Adds one or more user's or group's permissions for a
                         resource. Separate multiple name:permission entries
                         with a space.

   /REVOKE name [...]    Revokes permissions for one or more users or groups
                         to use a resource.

   /SUCCESS              Audits successful accesses to resources as determined 
                         by the values ALL, NONE, OPEN, WRITE, DELETE, and ACL.
                         /SUCCESS and /FAILURE can be on the same command line,
                         but do not use /SUCCESS with /TRAIL.

   /TRAIL:{YES | NO}     Turns the audit trail on or off for a particular 
                         resource. The default is NO. Do not use /TRAIL 
                         with /FAILURE or /SUCCESS.

   /TREE                 Reports permissions for a directory and all of its
                         subdirectories. If there are too many permissions to 
                         list, specify a subdirectory (for example, NET ACCESS 
                         subdirectory /TREE). The /TREE option also lists 
                         permissions for \PRINT, \COMM, and \PIPE resources.

.2     ACCOUNTS
:2              [/ROLE:{BACKUP | MEMBER | PRIMARY | STANDALONE}]
                [/FORCELOGOFF:{minutes | NO}]
                [/MINPWLEN:length]
                [/MAXPWAGE:{days | UNLIMITED}]
                [/MINPWAGE:days]
                [/UNIQUEPW:number]
#2 NET ACCOUNTS sets a server's role in the domain, and modifies password 
   and logon requirements for all accounts. This information is stored in 
   the LANMAN\ACCOUNTS\NET.ACC file, along with user accounts and resource
   permissions. When used without options, NET ACCOUNTS displays the current
   settings for password and logon limitations and the role of a server.

   Several conditions are required for options used with NET ACCOUNTS
   to take effect:

   ž  The server must have user-level security.

   ž  The password and logon requirements are only effective if user 
      accounts have been set up (use the NET USER command).

   ž  The Netlogon service must be running on all servers in the domain 
      that verify logon.

   ž  All workstations and servers that log on in the domain must have 
      the same domain entry in the LANMAN.INI file.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   /FORCELOGOFF:{minutes | NO}   Sets the number of minutes a user has 
                                 before being forced to log off when the 
                                 account expires or valid logon hours expire.
                                 NO, the default, prevents forced logoff.

   /MAXPWAGE:{days | UNLIMITED}  Sets the maximum number of days that a 
                                 password is valid. No limit is specified
                                 with UNLIMITED. /MAXPWAGE can't be less than
                                 /MINPWAGE. The range is 1-49710; the default
                                 is 90 days.

   /MINPWAGE:days                Sets the minimum number of days that must 
                                 pass before a user can change a password. A
                                 value of 0 sets no minimum time. The range is
                                 0-49710; the default is 0 days. /MINPWAGE can't
                                 be more than /MAXPWAGE.

   /MINPWLEN:length              Sets the minimum number of characters for
                                 a password. The range is 0-14 characters;
                                 the default is 6 characters.

   /ROLE:{BACKUP | MEMBER | PRIMARY | STANDALONE}
                                 Determines how the servers in a domain 
                                 participate in logon security. Four roles 
                                 are provided; the default is STANDALONE.

                    Role         Description
                    ÄÄÄÄÄÄÄ      ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
                    BACKUP       Specifies that the server can verify logon
                                 requests by maintaining a copy of the 
                                 domain's user accounts database. A domain 
                                 can have more than one backup server.

                    MEMBER       Specifies that the server can neither update
                                 the user accounts database nor verify logon
                                 requests, but maintains a copy of the domain's
                                 user accounts database. A domain can have 
                                 more than one member server.

                    PRIMARY      Specifies that the server creates and maintains
                                 the user accounts database. This server is the
                                 default server for verifying logon requests.

                    STANDALONE   Specifies a server with user-level security
                                 that maintains its own user accounts database 
                                 and does not participate in domain logon.

   /UNIQUEPW:number              Requires that a user's passwords be unique 
                                 through the specified number of password 
                                 changes. The maximum value is 8.

.2     ADMIN
:2           [/MONO]
             \\computername [password | *] [/MONO]
             \\computername [password | *] /COMMAND [command]
#2 The NET ADMIN command is used three ways:

   ž  To start the administrator's version of the LAN Manager Screen 
      on the local server (when used without options).

   ž  To start the LAN Manager Screen on a local server or workstation 
      to manage a remote server. You must have administrative privilege.

   ž  To run a command or start a command processor from the local server 
      to manage a remote server.

   To get Help one screen at a time, type NET HELP command | MORE.
$2          
   command         Is the network or operating system command to be run.

   \\computername  Specifies a remote server. 

   password | *    Is the administrator's password for the specified server.
                   This can be different from the administrator's logon
                   password. An asterisk (*) produces a prompt for the
                   password. The password will not be displayed when you
                   type it.

   /COMMAND        Runs a single noninteractive command or starts a
                   secondary command processor (similar to MS OS/2 CMD.EXE)
                   on a remote server. To start a secondary command
                   processor, press ENTER immediately after /COMMAND. Type
                   the command; then, to return to the local server, type
                   EXIT or press CTRL+Z.

   /MONO           May provide a clearer display on a monochrome screen. 
                   Type the command with and without /MONO and decide which
                   display is best.

.2     AUDIT
:2           [/COUNT:number] [/REVERSE]
             /DELETE
#2 NET AUDIT displays or clears entries in a server's audit trail. When 
   used without options, it displays all entries in the server's
   audit trail. The display includes the username of a person who used a
   resource, the type of resource, the date and time of its use, and the 
   amount of time it was used.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   /COUNT:number  Displays the specified number of entries from the beginning
                  of the audit trail.

   /DELETE        Clears the server's audit trail.

   /REVERSE       Displays entries in reverse order (newest to oldest).
                  When used with /COUNT:number, it displays the specified
                  number of entries in reverse order.

.2     COMM
:2          
   For a workstation:
   NET COMM {\\computername[\sharename] | devicename}
            {\\computername\sharename | devicename} [/PURGE]

   For a server:
   NET COMM [devicename | sharename]
            sharename [/PRIORITY:number] [/ROUTE:devicename[,...]] 
                      [/OPTIONS]
            {[\\computername\]sharename | devicename} /PURGE
#2 NET COMM controls shared communication-device queues (COM or LPT
   connections). It also lets you cancel a request to use a shared
   communication-device queue. When used without options, NET COMM displays
   information about communication-device queues on the local server. 

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername           Is the name of the server sharing the communication-
                            device queue.

   devicename               Is the name of the communication device redirected
                            to the queue. 

   sharename                Is the name of the queue. 

   /OPTIONS                 Displays the options assigned to the queue.

   /PRIORITY:number         Sets a priority for the queue. Priorities range 
                            from 1-9, with 1 being the highest priority. The
                            default priority level is 5.

   /PURGE                   Cancels all pending requests from the queue
                            but does not affect the currently active
                            requests. When /PURGE is run at a workstation,
                            only those requests from the workstation are purged.

   /ROUTE:devicename[,...]  Specifies which device(s) will service the queue.

.2     CONFIG
.3            WORKSTATION
:3                        [/CHARCOUNT:bytes]
                          [/CHARTIME:msec]
                          [/CHARWAIT:sec]
                          [/MAXERRORLOG:kbytes]
                          [/OTHDOMAINS:name[,...]]
                          [/PRINTBUFTIME:sec]
#3 NET CONFIG WORKSTATION displays information about or changes the
   configuration of a workstation. An option typed from the command line
   overrides the value in the LANMAN.INI file's [workstation] section until
   the service is stopped. When used without options, NET CONFIG displays a
   list of configurable services.

   To get Help one screen at a time, type NET HELP command | MORE.
$3         
   /CHARCOUNT:bytes        Is the amount of data in bytes that LAN Manager
                           collects before sending it to a communication 
                           device. The range is 0-65535; the default is 
                           16 bytes.

   /CHARTIME:msec          Is the number of milliseconds LAN Manager
                           collects data before sending it to a communication
                           device. The range is 0-65535000; the default is 
                           250 milliseconds . 

   /CHARWAIT:sec           Is the number of seconds LAN Manager waits for a
                           communication device to become available. The range
                           is 0-65535; the default is 3600 seconds.

   /MAXERRORLOG:kbytes     Is the maximum size in kilobytes of the error log
                           file. The range is 2 through the total disk size;
                           the default is 100 kilobytes.

   /OTHDOMAINS:name[,...]  Specifies another domain(s) that the workstation
                           participates in (up to four).

   /PRINTBUFTIME:sec       Is the number of seconds LAN Manager waits
                           before submitting a print job from an MS-DOS
                           session. The range is 0-65535; the default is
                           90 seconds.
.3            PEER
:3                 [options]
#3 NET CONFIG PEER displays information about or changes the configuration
   of a workstation using the Peer service while the service is running. 
   When used without options, NET CONFIG displays a list of configurable
   services.

   The options for NET CONFIG PEER are the same as the options for 
   NET CONFIG SERVER. An option typed from the command line overrides the 
   value in the LANMAN.INI file's [server] section until the service is stopped.

   To get Help one screen at a time, type NET HELP command | MORE.
$3         
   options   Are the same as options for NET CONFIG SERVER except that, for
             the Peer service, the /AUTODISCONNECT option is permanently
             set to -1 (never disconnect) in the software.

.3            SERVER
:3 
   with the following options:
     [/ACCESSALERT:n]                 [/LOGONALERT:n]
     [/ALERTNAMES:name[,...]]         [/MAXAUDITLOG:kbytes]
     [/ALERTSCHED:time]               [/NETIOALERT:n]
     [/AUTODISCONNECT:time]           [/SRVCOMMENT:"text"]
     [/DISKALERT:n]                   [/SRVHIDDEN:{YES | NO}]
     [/ERRORALERT:n] 
#3 NET CONFIG SERVER displays configuration information or changes the
   configuration of a server. An option typed from the command line 
   overrides the value in the LANMAN.INI file's [server] section until the
   service is stopped.

   When used without options, NET CONFIG displays a list of configurable
   services.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /ACCESSALERT:n          Is the number of permission violations that can
                           occur before an alert message is sent to users
                           listed in /ALERTNAMES. The range is 0-65535; 
                           the default is 5 permission violations.

   /ALERTNAMES:name[,...]  Is a username(s) or computername(s) to receive 
                           alert messages (such as a printer problem or
                           full disk).

   /ALERTSCHED:time        Is how often (in minutes) the server checks for
                           alert conditions. The range is 0-65535; the default
                           is 5 minutes.

   /AUTODISCONNECT:time    Is the maximum number of minutes a user's session
                           can be inactive before it is ended. (This service is
                           available only to a server with an Unlimited User
                           Pak.) The range is -1-65535; the default is 
                           -1 (never disconnect).

   /DISKALERT:n            Is the minimum number in kilobytes of available
                           disk space. When available disk space is less
                           than the specified amount, an alert message
                           is sent. The range is 0-65535; the default is 
                           300 kilobytes.

   /ERRORALERT:n           Is the number of network errors that trigger an alert
                           message. The range is 0-65535; the default is 
                           5 network errors.

   /LOGONALERT:n           Is the number of logon violations that trigger
                           an alert message. The range is 0-65535; the
                           default is 5 logon violations.

   /MAXAUDITLOG:kbytes     Is the maximum number in kilobytes of the
                           server's audit trail, NET.AUD. The range is 
                           0-65535; the default is 100 kilobytes.

   /NETIOALERT:n           Is the number of disk input/output (I/O) errors
                           that trigger an alert message. The range is 
                           0-65535; the default is 5 I/O errors.

   /SRVCOMMENT:"text"      Is a comment for the server. Comments can have as 
                           many as 48 characters. Enclose the text in
                           quotation marks.

   /SRVHIDDEN:{YES | NO}   Specifies whether the server's computername
                           appears on any lists of network servers. The
                           default is NO.

:2            [PEER | SERVER | WORKSTATION]
#2 NET CONFIG displays configuration information or changes the configuration
   of a workstation or server. When used without options, it displays a list 
   of configurable services. To get help with configuring a service, type
   NET HELP CONFIG service.

   To get Help one screen at a time, type NET HELP command | MORE.
$2         
   PEER         Displays information about or changes the configuration
                of the Peer service. 

   SERVER       Displays information about or changes the configuration
                of a server.

   WORKSTATION  Displays information about or changes the configuration
                of a workstation.

.2     CONSOLE
:2             [password | * ] [/MONO]
#2 NET CONSOLE starts the console version of the LAN Manager Screen. This
   version of the screen is designed for unattended servers. When the 
   console version is displayed, all other applications are unavailable. 
   You must supply the correct password to exit the console version.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2          
   password  Is any password an administrator chooses when starting the 
             console version of the LAN Manager Screen. The same password 
             must be provided to exit the console version.

   *         Produces a prompt for the password. The password will not be
             displayed when you type it.

   /MONO     May improve the display on a monochrome screen. Type the command
             with and without the option to determine which display is best.

.2     CONTINUE
:2  
   For a workstation:
   NET CONTINUE service

   For a server:
   NET CONTINUE {service | PRINT[=devicename]}
#2 NET CONTINUE reactivates a LAN Manager service or printer that has been
   suspended by NET PAUSE.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   service             Is the paused service (NETLOGON, NETRUN, PEER,
                       SERVER, or WORKSTATION).

   PRINT[=devicename]  Continues a shared printer. Omitting devicename
                       continues jobs on all printers.

.2     COPY
:2 
   For a workstation:
   NET COPY source [+source...] [/A | /B] [destination [/A | /B] [/V]]

   For a server:
   NET COPY /TO:username [/PASSWORD:{password | *}] source [destination] 
            /FROM:username [/PASSWORD:{password | *}] source [destination]
#2 NET COPY copies files from a source to a destination. 

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   destination               Specifies where source will be copied to.
                             Destination can be a file, a directory, or a
                             devicename. You can use wildcard characters to
                             specify multiple files.

   source                    Specifies the file(s) being copied. Source can be a
                             file, a directory, or a devicename. You can use
                             wildcard characters to specify multiple files 
                             or separate multiple filenames with plus signs
                             (+).

   /A                        Treats the source or destination as ASCII text.

   /B                        Treats the source or destination as a binary file.

   /FROM:username            Copies from a user's server in the logon domain
                             to the local server. This option only works for
                             usernames validated by the Netlogon service.

   /PASSWORD:{password | *}  Provides a password (if required) for access to
                             other servers. An asterisk (*) produces a prompt
                             for the password. The password will not be
                             displayed when you type it.

   /TO:username              Copies from the local server to a user in the 
                             logon domain at a remote server. This option
                             only works for usernames validated by the Netlogon 
                             service.

   /V                        Verifies that information was properly recorded on
                             the destination disk.

.2     DEVICE
:2            [devicename [/DELETE | /RESTART]]
#2 NET DEVICE controls shared printer and communication-device queues on the
   server. When used without options, it displays the status of all queues.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   devicename  Is a printer or communication device (LPT or COM).

   /DELETE     Cancels the active print job or communication-device request.

   /RESTART    Starts printing the current document from the beginning at a
               spooled printer.

.2     ERROR
:2           [/COUNT:number] [/REVERSE] 
             [/DELETE]
#2 NET ERROR displays or clears entries in the error log. When used without
   options, it displays all entries in the error log.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   /COUNT:number  Displays the specified number of errors logged.

   /DELETE        Removes all entries from the error log.

   /REVERSE       Displays errors in reverse order of newest to oldest. When
                  used with /COUNT, it displays the specified number of errors
                  in reverse order.

.2     FILE
:2          [id [/CLOSE]]
#2 NET FILE closes a shared file and removes file locks. When used without
   options, it lists the open files on a server. The listing includes the
   identification number assigned to an open file, the pathname of the file,
   the username, and the number of locks on the file.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   id      Is the identification number of the file.

   /CLOSE  Closes an open file and removes file locks. Type this command 
           from the server where the file is shared.

.2     FORWARD
:2             alias1 alias2
               alias1 /DELETE
#2 NET FORWARD routes incoming messages from one message alias to 
   another, or cancels the forwarding of an alias.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   alias1   Is the alias whose messages are to be forwarded.

   alias2   Is the alias that is to receive the forwarded messages.

   /DELETE  Cancels forwarding for alias1. Forwarding is also canceled if 
            the receiving workstation is stopped.

.2     GROUP
:2           [groupname [/COMMENT:"text"]]
             groupname {/ADD [/COMMENT:"text"] | /DELETE} 
             groupname username [...] {/ADD | /DELETE}
#2 NET GROUP modifies groups on servers with user-level security. When
   used without options, it displays the groupnames on the server.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   groupname        Is the name of the group to be added, expanded, or
                    deleted. When this option is typed without other options,
                    the name of the group and its members is displayed.

   username [...]   Lists a username(s) to add to or remove from a group.
                    Separate multiple names with a space.

   /ADD             Adds a group or members to a group. An account must 
                    already be set up for the new user (see NET USER).

   /COMMENT:"text"  Is a comment about the group. You can add a comment to an
                    existing group or provide the comment when adding a 
                    group. Comments can have as many as 48 characters.

   /DELETE          Removes a group or members from a group.

.2   HELP
:2      [command [/OPTIONS] | topic]
   NET command {/HELP | /?}
#2 Help is available on these utilities:
     AT            FTADMIN      MAKEIMG       RPLDSABL
     BACKACC       FTMONIT      NET           RPLENABL
     CACHE         FTSETUP      PORTACC
     CHKSTOR       LOGOFF       PRIV 
     ERRPOPUP      LOGON        RESTACC

   Help is available on these NET commands:
     ACCESS        ERROR        MOVE          SHARE
     ACCOUNTS      FILE         NAME          START
     ADMIN         FORWARD      PASSWORD      STATISTICS
     AUDIT         GROUP        PAUSE         STATUS
     COMM          HELP         PRINT         STOP
     CONFIG        HELPMSG      RUN           TIME
     CONSOLE       LOAD         SAVE          USE
     CONTINUE      LOG          SEND          USER
     COPY          LOGOFF       SEPARATOR     VIEW
     DEVICE        LOGON        SESSION       WHO

   Help is available on these special topics:
     NAMES          SYNTAX

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   command   Is the command you need help with. Don't type NET as
             part of the option.

   topic     Is the topic you need help with.

   /?        Displays the syntax of the command. 

   /HELP     Provides information about the specified command.

   /OPTIONS  Describes the available options.

.2     HELPMSG
:2             message#
#2 NET HELPMSG displays information about LAN Manager messages (such as error,
   warning, and alert messages). When you type NET HELPMSG and the 4-digit
   number of the LAN Manager error (for example, NET2182), LAN Manager
   tells you about the message and suggests action you can take to solve
   a problem. 

   This command provides information only about LAN Manager messages,
   which are preceded with the letters NET. Use the MS OS/2 HELP command 
   for help with MS OS/2 error messages.
$2        
   message#  Is the 4-digit number of the LAN Manager message you need help
             with. You don't need to type NET as part of the message number.

.2     LOAD
:2          [[drive:path]filename]
#2 NET LOAD loads a profile, which contains LAN Manager commands that
   establish a workstation's network connections or share a server's
   resources. When used without options, it loads the default profile,
   LANMAN\PROFILES\NETLOGON.PRO. If you don't specify a full drive and path,
   LAN Manager assumes the profile is stored in the LANMAN\PROFILES directory.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   drive:path  Tells where the profile is stored. Without a drive letter
               and path, LAN Manager assumes the profile is stored
               in the LANMAN\PROFILES directory.

   filename    Is the name of the profile. If filename is omitted, the default
               profile, NETLOGON.PRO, is loaded. If no extension is supplied,
               .PRO is assumed.

.2     LOG
:2         [[drive:path]filename | devicename] [/ON | /OFF]
#2 NET LOG starts or stops logging messages to a file or printer. When used
   without options, it displays information about how messages are logged.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   devicename   Is the name of a device at your computer assigned to a
                printer queue. Messages are printed as they're received.
                This name can be an LPT or COM devicename.

   drive:path   Tells where the message log file is stored. Without a drive
                letter and path, LAN Manager assumes the file is stored in
                the LANMAN\LOGS directory.

   filename     Is the name of the message log file. If you don't specify an
                extension, .LOG is assumed. By default, messages are stored
                in MESSAGES.LOG.

   /OFF         Stops logging messages.

   /ON          Restarts logging messages.

.2     LOGOFF
:2 
#2 NET LOGOFF logs a user off from a workstation and cancels all network
   connections.

   Use LOGOFF, instead of NET LOGOFF, if you are logging off from a 
   386 server using the high-performance file system.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   There are no options for this command.

.2     LOGON
:2           [username [password | *]] [/DOMAIN:name]
#2 NET LOGON logs a user on to the network and sets the username, password,
   and logon domain at the workstation. When used without options, it prompts
   you to type a username and password.

   Type LOGON, instead of NET LOGON, to log on for local access only (local
   logon) on a 386 server using the high-performance file system.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   password | *  Is the password at the workstation (passwords can have as many
                 as 14 characters). An asterisk (*) produces a prompt for the
                 password. The password will not be displayed when you type it.

   username      Is the name by which you are identified on the network. The
                 username can have as many as 20 characters.

   /DOMAIN:name  Is the name of a domain (other than your workstation domain)
                 in which you log on. This is the logon domain. The /DOMAIN
                 option can't be used when performing a local logon.

.2     MOVE
:2          source [destination]
#2 NET MOVE moves files between any two directories on the network that 
   you have permission to use. Moving relocates the file. The filename 
   remains unchanged, but it is given the creation date and time that the 
   move occurred. 

   You don't need to have connections to shared directories to use NET MOVE.
   The source or destination can include a network path instead of a 
   devicename.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   
   destination  Is the pathname to which the source file is moved. If more
                than one file is moved, destination must be a directory.
                If destination is omitted, files are moved to the current
                directory. LAN Manager won't write over an existing file
                during a move. If destination is an existing file, the
                move is canceled.

   source       Is the pathname of the file being moved. You can specify 
                multiple files by using wildcard characters.

.2     NAME
:2          [alias [/ADD | /DELETE]]
#2 NET NAME adds or deletes an alias at a workstation. An alias is a name
   to which messages are sent. When used without options, NET NAME displays
   aliases at the workstation and any aliases to or from which messages are
   being forwarded.

   A workstation can have three kinds of aliases:

   ž  A computername, which is added as an alias when the Workstation 
      service is started

   ž  A username, which is added as an alias when you log on, providing it 
      is not being used at another workstation

   ž  Message aliases, which are added with NET NAME or forwarded from
      another computer

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   alias    Is a name to receive messages. The alias can have as many as
            15 characters.

   /ADD     Adds an alias to a workstation. Typing /ADD is optional; typing
            NET NAME alias works the same way.

   /DELETE  Removes an alias from the workstation.

.2     PASSWORD
:2              [[\\computername | /DOMAIN[:name]] username oldpassword
                    {newpassword | *}]
#2 NET PASSWORD changes the password for your user account on a server or
   in a domain. When used without options, it prompts you for a computername 
   or domain name at which you have an account, your username, old password,
   and new password.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername  Is the server at which the password will be changed. If no
                   \\computername is supplied, your password for your account
                   in the workstation domain is changed.

   newpassword     Is the new password, which can have as many as 14 characters. 

   oldpassword     Is your current password. 

   username        Is your username.

   *               Produces a prompt for the new password. The password will
                   not be displayed when you type it.

   /DOMAIN[:name]  Is the domain (other than the workstation domain) in
                   which the password will be changed. Specifying /DOMAIN 
                   with no value changes the password in the workstation
                   domain.

.2     PAUSE
:2 
   For a workstation:
   NET PAUSE service

   For a server:
   NET PAUSE {service | PRINT[=devicename]}
#2 NET PAUSE suspends a LAN Manager service or resource. Pausing a service
   puts it on hold. Users who already have a connection to the server's
   resources are able to finish their tasks, but new connections to the
   resources are prevented.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   service             Is the service to be paused (NETLOGON, NETRUN,
                       PEER, SERVER, or WORKSTATION).

   PRINT[=devicename]  Pauses network activity to a spooled printer queue 
                       whose devicename is either LPTx: or COMx:. Print jobs 
                       already in the printer queue are printed, but no
                       new jobs can be submitted. When devicename is not
                       specified, all printers are paused. 

.2     PRINT
:2 
   For a workstation:
   NET PRINT {\\computername[\sharename] | devicename} 
             {\\computername | devicename} [job# [/HOLD | /RELEASE | /DELETE]]

   For a server:
   NET PRINT [job# [/HOLD | /RELEASE | /FIRST | /LAST | /DELETE]]
             sharename [/HOLD | /RELEASE | /DELETE | /PURGE]
   NET PRINT sharename also has these options: 
       [/PRIORITY:number]            [/SEPARATOR:pathname]
       [/ROUTE:devicename[,...]]     [/PROCESSOR:pmname]
       [/AFTER:time]                 [/REMARK:"text"]
       [/UNTIL:time]                 [/OPTIONS]
       [/DRIVER:filename]
#2 NET PRINT displays or controls single print jobs and printer queues,
   displays or controls the shared queue, and sets or modifies options for
   the printer queue. When used without options, it displays information 
   about printer queues on the server or workstation. For each queue, the
   display lists jobs, showing the size and status of each job, and the 
   status of the queue. 

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername           Is the name of the server sharing the printer
                            queue(s).

   devicename               Is the name of the device at your computer assigned
                            to the queue. LPT1: through LPT9: are available.

   job#                     Is the identification number assigned to a print
                            job. A server with one or more printer queues 
                            assigns each print job a unique number. 

   sharename                Is the name of the shared printer queue. For a
                            workstation, when including the sharename with the
                            computername, use a backslash (\) to separate the 
                            names.

   /AFTER:time              Prints jobs from the queue after time (for 24-hour
                            time, use the format hh:mm; for 12-hour time,
                            use the format hh:mmAM or hh:mmPM).

   /DELETE                  With a job number, removes the job from a queue. 
                            With a sharename, removes a queue.

   /DRIVER:filename         Is the default print-driver file.

   /FIRST                   Moves a job to the first position in the queue.

   /HOLD                    When used with a job number, prevents a job in the
                            queue from printing. The job stays in the printer
                            queue, and other jobs bypass it until it is
                            released. When used with a sharename, the printer
                            queue stops printing until released.

   /LAST                    Moves a job to the last position in the queue.

   /OPTIONS                 Displays the options assigned to the shared printer
                            queue.

   /PRIORITY:number         Sets the queue's priority (1 is the highest and 9
                            the lowest). If a printer is receiving jobs from
                            more than one queue, it prints jobs from the queue 
                            with highest priority first.

   /PROCESSOR:pmname        Specifies a print processor file. The MS OS/2
                            Print Manager (spooler) maintains the path to 
                            this file. Specify only the filename.

   /PURGE                   Removes all jobs except the current job from 
                            the queue.

   /RELEASE                 Reactivates a job or printer queue that is held.

   /REMARK:"text"           Is a descriptive comment about the shared queue.

   /ROUTE:devicename[,...]  Routes the queue's print jobs to one or more local
                            or remote printers. If print jobs are routed to a 
                            remote printer, the remote printer must be shared
                            as a (unspooled) communication-device queue. 

   /SEPARATOR:pathname      Instructs the printers in the queue to use the
                            separator page in the file specified by pathname.
                            LAN Manager provides a default separator page file,
                            DEFAULT.SEP. To use the default page, you must
                            supply this filename. The LANMAN\SPOOL directory
                            is assumed.

   /UNTIL:time              Prints jobs from the queue until time (for 24-hour
                            time, use the format hh:mm; for 12-hour time,
                            use the format hh:mmAM or hh:mmPM).

.2     RUN
:2         command 
#2 NET RUN runs a program or command on a server.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   command    Is the name of the program you want to run. The program is
              a .EXE file. You don't need to supply the filename extension.
.2     SAVE
:2          [[drive:path]filename]

#2 NET SAVE creates a profile, which is a file that contains the current 
   connections. When the profile is loaded with NET LOAD, the connections 
   are automatically restored.

   A profile for a workstation contains a set of NET USE commands.
   It functions like a batch file but is formatted differently. When
   used without options, on a workstation NET SAVE saves the profile
   commands in NETLOGON.PRO.

   A profile for a server stores NET USE, NET SHARE, NET PRINT, and 
   NET COMM commands. Save commands each time a new resource is shared 
   to ensure that the resource configuration will not be lost if the server
   is stopped. When used without options, on a server NET SAVE saves the 
   profile commands in SRVAUTO.PRO.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        

   drive:path   Tells where the profile is stored. Without a drive 
                letter and path, LAN Manager stores the profile in the
                LANMAN\PROFILES directory.

   filename     Is the name of the profile. The default name for a 
                workstation profile is NETLOGON.PRO. The default name for
                a server profile is SRVAUTO.PRO. If a filename is typed 
                without an extension, a .PRO extension is added. 

.2     SEND
:2          
   For a workstation:
   NET SEND {alias | /DOMAIN[:name] | * | /BROADCAST} message

   For a server:
   NET SEND /USERS message
            {alias | /DOMAIN[:name] | * | /BROADCAST} message
#2 NET SEND sends messages or short files to other computers or users on 
   the network. 

   You can only send a message to an alias that is active on the network.
   If the message is sent to a username, that user must be logged on
   and running the Messenger service to receive the message.

   The size of the message is limited by the SIZMESSBUF entry in the
   LANMAN.INI file, which can be changed to accommodate messages as large 
   as 62 kilobytes.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   alias           Is the username, computername, or other name to send
                   the message to.

   message         Is text to be sent as a message or the filename of a 
                   text file to be sent (preceded by <).

   *               Sends the message to all aliases in your workstation
                   domain.

   /BROADCAST      Sends the message to all aliases on the network. Broadcast
                   messages can have as many as 128 characters, and should 
                   be broadcast with discretion.

   /DOMAIN[:name]  Sends the message to all aliases in the domain specified
                   by the domain entry in LANMAN.INI. To send a message to 
                   all aliases in another domain, supply the name of that
                   domain.

   /USERS          Sends the message to all users currently connected to one
                   of the server's resources.

.2     SEPARATOR
:2               {sharename | devicename} {pathname | /DELETE}
#2 NET SEPARATOR prints or cancels a separator page before each print job 
   in a printer queue or on a printer. LAN Manager provides a separator
   page that reports the following information:

   ž  The name of the workstation or server from which the job was sent

   ž  The name of the file being printed

   ž  The date and time the file was printed

   NET SEPARATOR and the /SEPARATOR option for NET PRINT perform the same
   function. Use NET PRINT /SEPARATOR to assign a separator file for a 
   printer queue if you are configuring the queue. 

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   devicename  Is the name of a device assigned to a printer queue that is
               to use a separator page. All printers using the queue will
               use the separator page.

   pathname    Is the pathname of the file containing the separator page
               description. LAN Manager provides a default separator page.
               The default path recognized by the MS OS/2 Print Manager is
               C:\SPOOL.

   sharename   Is the name of the printer queue to use the separator page.

   /DELETE     Cancels the separator page.

.2     SESSION
:2             [\\computername] [/DELETE]
#2 NET SESSION lists or disconnects sessions between the server and other
   computers on the network. When used without options, it displays information
   about all sessions with the server of current focus.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername  Lists the session information for the named computer.

   /DELETE         Ends the session between the server and computername,
                   and closes all open files for the session. If
                   computername is omitted, all sessions are ended.

.2     SHARE
:2           [IPC$ [password]]
             [ADMIN$ [password]]
             sharename
             sharename=devicename[,...] [/COMM | /PRINT] [password]
                 [/PERMISSIONS:permissions] [/USERS:number | /UNLIMITED]
                 [/REMARK:"text"]
             sharename [/PRINT]
             sharename=drive:path [password] [/PERMISSIONS:permissions]
                 [/USERS:number | /UNLIMITED] [/REMARK:"text"]
             sharename [/PERMISSIONS:permissions] [/USERS:number | /UNLIMITED]
                 [/REMARK:"text"]
             {sharename | devicename | drive:path} /DELETE
#2 NET SHARE makes a server's resources available to network users. When 
   used without options, it lists information about all resources being 
   shared on the server. For each resource, LAN Manager reports the
   devicename(s) or pathname(s) associated with it and a descriptive comment.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   devicename                Is one or more printers (LPT1: through LPT9:) 
                             or communication devices (COM1: through COM9:) 
                             shared by sharename.

   drive:path                Is the directory for the shared resource.

   password                  Is a confidential word that protects a resource
                             on a server.

   sharename                 Is the name of the resource being shared. To see
                             information about the shared resource, type
                             NET SHARE sharename.

   ADMIN$                    Is an administrative resource that allows remote
                             administration on the server. Servers with
                             user-level security share ADMIN$ automatically.
                             On servers with share-level security, ADMIN$
                             should be shared. For greater security, assign a
                             password to ADMIN$ on a server with share-level
                             security.

   IPC$                      Enables a user to use named pipes and distributed
                             applications on the server. Named pipes are
                             essential for communication between programs. 
                             The Netrun service requires that IPC$ be shared. 
                             IPC$ is automatically shared on a server with 
                             user-level security. With share-level security,
                             you must explicitly share IPC$. Assign IPC$ a
                             password only if the server won't be configured
                             for remote administration.

   /COMM                     Identifies the resource as a communication-
                             device queue.

   /DELETE                   Stops sharing the resource.

   /PERMISSIONS:permissions  Assigns permissions to a shared resource on a
                             server with share-level security. The following 
                             permissions are available: 

                     Letter  Permission
                     ÄÄÄÄÄÄ  ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
                        A    Change resource attributes. The attributes are
                             R (read only), H (hidden), S (system), and 
                             A (archive).
                        C    Create files and directories in a shared 
                             directory. Users with this permission can only
                             change the file while creating it.
                        D    Delete resources.
                        P    Change permissions for a directory or a file.
                        R    Read, copy, and execute files, and change from
                             one subdirectory to another within the shared
                             directory.
                        W    Write to a file. 
                        X    Execute a command or program. Only MS OS/2
                             computers recognize X permission. A user with
                             an MS-DOS workstation cannot run a file that
                             has X permission but doesn't have R permission.

   /PRINT                    Identifies the shared resource as a printer queue.

   /REMARK:"text"            Is a comment about the shared resource.

   /UNLIMITED                Specifies that any number of users can use a
                             shared resource simultaneously. At a workstation
                             running the Peer service, use this option only
                             for IPC$.

   /USERS:number             Sets the maximum number of users who can
                             simultaneously access a shared resource. A 
                             LAN Manager server is limited to five users
                             unless you have increased the maximum number of
                             users by applying Additional User Paks. For a
                             workstation running the Peer service, this entry
                             cannot be more than two (the user at the
                             workstation and one other user).

.2     START
.3           ALERTER
:3                   [/SIZALERTBUF:bytes]
#3 NET START ALERTER starts the LAN Manager Alerter service on a server. 
   The Alerter service sends messages about network information to users,
   such as the status of print jobs or resource availability. When used
   without the option, NET START ALERTER starts the service with the values
   specified in the LANMAN.INI file's [alerter] section. An option typed from
   the command line overrides the value in the LANMAN.INI file until the
   service is stopped.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /SIZALERTBUF:bytes  Determines the size in bytes of the alert-message
                       buffer. The range is 512-16384; the default is 
                       3072 bytes.

.3           MESSENGER
:3                     [/LOGFILE:pathname]
                       [/SIZMESSBUF:bytes]
#3 NET START MESSENGER starts the LAN Manager Messenger service, which
   lets you receive messages with other network users. Typing this command
   also starts the Workstation service if it is not already running. When
   used without options, NET START MESSENGER starts the service using the
   values specified in the LANMAN.INI file's [messenger] section. An option
   typed from the command line overrides the value in the LANMAN.INI file 
   until the service is stopped.

   In addition to the options listed here, NET START MESSENGER accepts all 
   NET START WORKSTATION options when you're starting both services with one
   command. For a list of these options, see NET START WORKSTATION.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /LOGFILE:pathname  Assigns a new pathname for the message log file. The
                      default is LANMAN\LOGS\MESSAGES.LOG.

   /SIZMESSBUF:bytes  Sets the size in bytes of the message buffer,
                      defining the maximum size of messages the workstation 
                      can receive. The range is 512-62000; the default is 
                      4096 bytes.

.3           NETLOGON
:3                    [/PULSE:time] 
                      [/RANDOMIZE:time] 
                      [/SCRIPTS:pathname]
                      [/UPDATE:{YES | NO}]
#3 NET START NETLOGON starts the LAN Manager Netlogon service, which 
   validates logon requests in domains with user-level security. When used
   without options, NET START NETLOGON starts the service using the values
   specified in the LANMAN.INI file's [netlogon] section. An option typed 
   from the command line overrides the value in the LANMAN.INI file until 
   the service is stopped.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /PULSE:time         Is the number of seconds that a primary domain
                       controller waits between update notices sent to backup
                       domain controllers and member servers. Pulses are not
                       sent while the user accounts database is being updated.
                       The range is 60-3600; the default is 300 seconds.

   /RANDOMIZE:time     Sets a value in seconds. This value is sent out with
                       each pulse. Each backup domain controller and member
                       server uses this value to generate a random number 
                       between 0 and the value of /RANDOMIZE. The backup domain
                       controller and member servers in the domain then each
                       request a replica of the user accounts database at a 
                       time specified by their random number of seconds. The
                       range is 5-120; the default is 30 seconds.

   /SCRIPTS:pathname   Indicates a logon script to be used. The path is
                       the location of the script. The default path in the
                       LANMAN.INI file is REPL\IMPORT\SCRIPTS.

   /UPDATE:{YES | NO}  When set to YES (the default), causes replication to
                       occur at backup domain controllers and member servers
                       when the Netlogon service is started. Set /UPDATE to NO
                       to prevent replication when the Netlogon service is
                       started. The /UPDATE option is ignored at the primary
                       domain controller. 

.3           NETPOPUP
:3
#3 NET START NETPOPUP starts the LAN Manager Netpopup service, which
   displays a message as soon as it arrives at your workstation. The
   Messenger service must be running for the workstation to receive messages.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   There are no options for this command.
.3           NETRUN
:3                  [/RUNPATH:pathname[,...]] [/MAXRUNS:number]
#3 NET START NETRUN starts the LAN Manager Netrun service, which enables
   users at workstations to run programs that are in the run path on the
   server. When used without options, NET START NETRUN starts the service
   using the values specified in the LANMAN.INI file's [netrun] section. An
   option typed from the command line overrides the value in the LANMAN.INI
   file until the service is stopped.

   

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /MAXRUNS:number          Is the maximum number of NET RUN commands the 
                            server can handle concurrently. The range is 
                            1-10; the default is 3.

   /RUNPATH:pathname[,...]  Is the search path(s) for programs that network
                            users can run in the server's memory.

.3           REMOTEBOOT
:3                      [/RPLn:filename,filename,filename[,adapter]] 
                        [/RPLDIR:pathname]
                        [/MAXTHREADS:number] 
                        [/CONFIGFILE:pathname]
#3 NET START REMOTEBOOT starts the LAN Manager Remoteboot service, which 
   allows a workstation to be started remotely. When used without options, 
   it starts the service using the values specified in the LANMAN.INI file's
   [remoteboot] section. An option typed from the command line overrides the
   value in the LANMAN.INI file until the service is stopped.

   To get Help one screen at a time, type NET HELP command | more.

$3        
   /CONFIGFILE:pathname  Is the name of the MS-DOS boot block configuration
                         file. This file contains information about network
                         device drivers, the boot block processor, and the 
                         loader that accesses the boot image file used by the
                         Remoteboot service if it boots MS-DOS workstations.
                         This file is either relative to \RPL, or an absolute
                         pathname. The default is DOSBB.CNF.

   /MAXTHREADS:number    Is the maximum number of workstations that the 
                         server is able to boot simultaneously. The range
                         is 0 to the maximum number of threads the system
                         allows (as set in the THREADS entry in CONFIG.SYS);
                         the default is 10.

   /RPLDIR:pathname      Is the path of the RPL directory, usually
                         REPL\EXPORT\RPL if the server is replicating
                         the RPL directory, or RPL otherwise.

   /RPLn:filename,filename,filename[,adapter]
                         Specifies the dynamic link library files used to 
                         support various network adapter cards. As many as 
                         12 network adapter cards are supported. The value for
                         this option is three filenames, ending in .DLL, and
                         an optional adapter number. You can also use
                         quoatation marks around the entire switch, and
                         separate the filename entries with spaces. If the
                         adapter number is not given, a default value of 0
                         (corresponding to the first network device driver
                         installed in config.sys) is used.

.3           REPLICATOR
:3                      [/REPLICATE:{EXPORT | IMPORT | BOTH}]
                        [/EXPORTPATH:pathname] [/EXPORTLIST:list]
                        [/IMPORTPATH:pathname] [/IMPORTLIST:list]
                        [/INTERVAL:time]
                        [/PULSE:number]
                        [/RANDOM:seconds]
                        [/GUARDTIME:time]
                        [/TRYUSER:{YES | NO}]
                        [/LOGON:username]
                        [/PASSWORD:{password | *}]
#3 NET START REPLICATOR starts the LAN Manager Replicator service, which ensures
   that designated files are exactly the same on all specified computers. When 
   used without options, it starts the service using the values specified in
   the LANMAN.INI file's [replicator] section. An option typed from the command
   line overrides the value in the LANMAN.INI file until the service is stopped.

   To get Help one screen at a time, type NET HELP command | MORE.
$3         
   /EXPORTLIST:list      Is as many as 32 computers or domains that 
                         receive notices when the export directory is 
                         updated. These computers subsequently replicate 
                         from the export server. Without a list, the export 
                         server sends a notice to all computers in its domain. 
                         Separate names with semicolons. This option is ignored
                         if /REPLICATE is set to IMPORT.

   /EXPORTPATH:pathname  Sets the path to the export directory. The export
                         path can be an absolute path or relative to the LANMAN
                         directory. All files to be replicated must be in
                         a subdirectory of this directory. The default path is
                         REPL\EXPORT. This option is ignored if /REPLICATE is
                         set to IMPORT.

   /GUARDTIME:time       Is the number of minutes an export directory must be
                         stable (no changes to any files) before import
                         computers can replicate its files. The range is from 
                         0 to half the value of /INTERVAL; the default is 
                         2 minutes.

   /IMPORTLIST:list      Is as many as 32 servers or domains that export
                         directories to the import computer. If no list is
                         specified, updates come from the computer's primary
                         domain. Separate names with semicolons. This entry
                         is ignored at export servers.

   /IMPORTPATH:pathname  Sets the path on the import computer to receive
                         replicas from the export servers. The import path
                         can be an absolute path, a path relative to the
                         LANMAN directory, or a network pathname. This option
                         is ignored if /REPLICATE is set to EXPORT. The 
                         default is REPL\IMPORT.

   /INTERVAL:time        Is how often an export computer monitors changes 
                         in each directory. This option is ignored on import
                         computers. The range is 1-60; the default is
                         5 minutes.

   /LOGON:username       Is necessary if the import computer updates
                         files when no user is logged on to the network.
                         This option is ignored if /TRYUSER is set to YES.

   /PASSWORD:{password | *}  
                         Is the password to accompany the username at
                         replication to give the import computer access
                         to Replicator files. Type an asterisk (*) 
                         instead of the password to be prompted for the
                         password. If a value isn't supplied for /PASSWORD,
                         no password is assumed.

   /PULSE:number         Is the time (/PULSE * /INTERVAL minutes) the export
                         server waits before sending repeat notices to the
                         import computers. The range is 0-10; the default is 3.

   /RANDOM:seconds       Sets the maximum number of seconds an import computer
                         can wait before requesting an update. An import 
                         computer uses the export server's maximum value of
                         /RANDOM to generate a random number of seconds (from
                         0 to /RANDOM). The range is 1-120; the default is
                         60 seconds.

   /REPLICATE:{EXPORT | IMPORT | BOTH}
                         Determines whether the server exports files and
                         directories, imports files and directories, or
                         both. EXPORT is the server that maintains a master
                         tree to be replicated. The Replicator service checks
                         these directories and files for changes and notifies
                         servers that import the files or directories. If
                         EXPORT is not used, the Replicator service does
                         not monitor the specified tree for changes.
                         IMPORT is the computer to receive update notices 
                         from the export server. If /REPLICATE is specified
                         without options, IMPORT is assumed. BOTH specifies
                         that a server is to export and import directories
                         or files.

   /TRYUSER:{YES | NO}   Determines whether the Replicator service attempts
                         to update files to an import computer if a user is
                         logged on to the network. If the value is YES, the 
                         username and password must be valid. If NO, the
                         Replicator service only updates when the user is 
                         logged off, using the /LOGON and /PASSWORD options
                         to supply the logon information.

.3           PEER
:3                [options]
#3 NET START PEER starts the LAN Manager Peer service, which lets you 
   share directories, a printer queue, and a communication-device queue
   with one other network user at a time. When used without options, it 
   starts the service using the values specified in the LANMAN.INI file's
   [server] section. An option typed from the command line overrides the 
   value in the LANMAN.INI file until the service is stopped.

   When the Peer service is running, your workstation functions as a server 
   with limited server capabilities.

   NET START PEER uses the same options available for NET START SERVER, with
   the following exceptions: 

     /AUTODISCONNECT      Is set to -1 (never disconnect) in the software 
                          and cannot be changed.
     /SRVHIDDEN           Is set to YES as the default, but can be changed
                          to NO after installation.
     /SRVSERVICES         At installation you can use the Setup program to
                          include Alerter, Messenger, Netpopup, Netrun,
                          Replicator, and UPS services.

   For a complete list of options available for the Peer service, see 
   NET START SERVER.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   NET START PEER uses the same options available for NET START SERVER, with
   the following exceptions: 

   /AUTODISCONNECT:time        Is set to -1 in the software and cannot be
                               changed.

   /SRVHIDDEN:{YES | NO}       Is set to YES as the default, but can be 
                               changed to NO after installation.

   /SRVSERVICES:service [...]  At installation you can use the Setup program to
                               include Alerter, Messenger, Netpopup, Netrun,
                               Replicator, and UPS services.

   For a complete list of options available for the Peer service see 
   NET START SERVER.

.3           SERVER
:3 
   with the following options:
   [/ACCESSALERT:n]                      [/MAXSESSREQS:n]
   [/ALERTNAMES:name[,...]]              [/MAXSESSVCS:n]
   [/ALERTSCHED:time]                    [/MAXSHARES:n]
   [/AUDITING:{YES | NO | event[,...]}]  [/MAXUSERS:n]
   [/AUTODISCONNECT:time]                [/NETIOALERT:n]
   [/AUTOPATH:pathname]                  [/NOAUDITING:event[,...]]
   [/AUTOPROFILE:value]                  [/NUMADMIN:n]
   [/DISKALERT:n]                        [/NUMBIGBUF:n]
   [/ERRORALERT:n]                       [/NUMFILETASKS:n]
   [/GUESTACCT:name]                     [/NUMREQBUF:n]
   [/LOGONALERT:n]                       [/SECURITY:{USER | SHARE}]
   [/MAXAUDITLOG:n]                      [/SIZREQBUF:n]
   [/MAXCHDEVJOB:n]                      [/SRVANNDELTA:n]
   [/MAXCHDEVQ:n]                        [/SRVANNOUNCE:n]
   [/MAXCHDEVS:n]                        [/SRVCOMMENT:"text"]
   [/MAXCONNECTIONS:n]                   [/SRVHEURISTICS:numbers]
   [/MAXLOCKS:n]                         [/SRVHIDDEN:{YES | NO}]
   [/MAXOPENS:n]                         [/SRVNETS:name[,...]]
   [/MAXSEARCHES:n]                      [/SRVSERVICES:service [...]]
   [/MAXSESSOPENS:n]                     [/USERPATH:pathname]
#3 NET START SERVER starts the LAN Manager Server service, which controls
   access to resources. When used without options, NET START SERVER starts
   the service using the values specified in the LANMAN.INI file's [server]
   section. An option typed from the command line overrides the value in the
   LANMAN.INI file until the service is stopped.

   NET START SERVER also accepts NET START WORKSTATION options.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /ACCESSALERT:n                Is the number of permission violations that
                                 can occur within an /ALERTSCHED interval
                                 before sending an alert message to users in
                                 the /ALERTNAMES list. The range is 0-65535;
                                 the default is 5 permission violations.

   /ALERTNAMES:name[,...]        Is the user(s) to receive alert messages. 

   /ALERTSCHED:time              Is the number of minutes between checks
                                 for alert conditions. The range is 0-65535;
                                 the default is 5 minutes.

   /AUDITING:{YES | NO | event[,...]}
                                 Turns auditing on or off, or determines 
                                 auditing for specified events. Audit events
                                 are LOGON, GOODSESSLOGON, BADSESSLOGON, 
                                 SESSLOGON, NETLOGON, GOODNETLOGON, 
                                 LOGONLIMIT, USE, GOODUSE, BADUSE,
                                 RESOURCE, USERLIST, PERMISSIONS, and
                                 SERVICE. The default is NO.

   /AUTODISCONNECT:time          Is the number of minutes a workstation's
                                 session with the server can be idle before
                                 the session is disconnected. This option is
                                 available only to a server with an Unlimited
                                 User Pak. You can enter a value of -1 to 
                                 never disconnect a workstation. The range is 
                                 -1-65535; the default is -1. For a workstation
                                 using the Peer service, /AUTODISCONNECT must
                                 be set to -1.

   /AUTOPATH:path                Is the location and filename for the server's
                                 profile. The pathname can be absolute or a 
                                 network pathname. The filename is relative to
                                 the LAN Manager LANMAN\PROFILES directory.
                                 The default filename is SRVAUTO.PRO.

   /AUTOPROFILE:value            Determines how to save and/or load a
                                 server profile when the server is stopped 
                                 or started. The values are LOAD, SAVE, BOTH,
                                 and NONE. The LOAD value loads the profile when
                                 the service starts; SAVE saves a profile before
                                 the service stops. When the option is set to
                                 BOTH, /AUTOPROFILE automates both loading and
                                 saving; NONE prevents both operations. The
                                 default is LOAD.

   /DISKALERT:n                  Is the minimum number of free kilobytes
                                 that must be on the disk. The range is 
                                 0-65535; the default is 300 kilobytes.

   /ERRORALERT:n                 Is the number of network errors that can
                                 occur within an /ALERTSCHED before triggering
                                 an alert message. The range is 0-65535; the
                                 default is 5 errors.

   /GUESTACCT:name               Names the server's guest account. Name
                                 can be either a username or groupname.
                                 The default name is "guest".

   /LOGONALERT:n                 Is the number of consecutive logon
                                 violations that trigger an alert message.
                                 The range is 0-65535; the default is 5
                                 violations.

   /MAXAUDITLOG:n                Is the maximum number of kilobytes for the
                                 audit trail. The range is 0-65535; the default
                                 is 100 kilobytes.

   /MAXCHDEVJOB:n                Is the maximum number of requests that 
                                 can be queued to the server's communication-
                                 device queues. The range is 0-65535; the
                                 default is 6 requests.

   /MAXCHDEVQ:n                  Is the maximum number of communication-
                                 device queues the server can have. The range 
                                 is 0-65535; the default is 2 queues.

   /MAXCHDEVS:n                  Is the maximum number of communication
                                 devices that can be shared on the server.
                                 The range is 0-16; the default is 2
                                 communication devices.

   /MAXCONNECTIONS:n             Is the maximum number of simultaneous
                                 connections to shared resources on the
                                 server. The range is /MAXUSERS to 2000; 
                                 the default is 128 connections.

   /MAXLOCKS:n                   Is the maximum number of file locks the server
                                 can accommodate at one time. The range is
                                 1-8000; the default is 64 file locks.

   /MAXOPENS:n                   Is the maximum number of shared files and
                                 devices that can be open simultaneously. The
                                 range is 1-8000; the default is 64 files
                                 or devices.

   /MAXSEARCHES:n                Is the maximum number of file searches the
                                 server can perform at one time. The range
                                 is 0-1927; the default is 50 file searches.

   /MAXSESSOPENS:n               Is the maximum number of open files one session
                                 can have. The range is 1 to /MAXOPENS; the
                                 default is 50 open files.

   /MAXSESSREQS:n                Is the maximum number of resource
                                 requests one workstation can submit to the
                                 server. The range is 1-65535; the default
                                 is 50 resource requests.

   /MAXSESSVCS:n                 Is the maximum number of sessions one
                                 workstation can have to the server. The
                                 value must be 1.

   /MAXSHARES:n                  Is the maximum number of resources that
                                 can be shared simultaneously. The range
                                 is 2-500; the default is 16 resources.

   /MAXUSERS:n                   Is the maximum number of users who can use
                                 the server simultaneously. The value of
                                 /MAXUSERS should include the number allowed by
                                 your User Pak(s) plus the number of users
                                 accessing the server through IPC connections.
                                 The range is 1-1000; the default is 32 users. 

   /NETIOALERT:n                 Is the number of network input/output errors
                                 that trigger an alert. The range is 0-65535;
                                 the default is 5 errors.

   /NOAUDITING:event[,...]       Cancels auditing for the named event(s) when
                                 /AUDITING is set to YES. Events that can be
                                 changed are LOGON, LOGONLIMIT, GOODSESSLOGON,
                                 BADSESSLOGON, SESSLOGON, NETLOGON,
                                 GOODNETLOGON, USE, GOODUSE, BADUSE, RESOURCE,
                                 USERLIST, PERMISSIONS, and SERVICE. If
                                 /AUDITING:NO is set, the value of /NOAUDITING
                                 is ignored.

   /NUMADMIN:n                   Is the maximum number of people who can
                                 perform administrative tasks simultaneously
                                 on the server. The range is 0-65535; the
                                 default is 2 users. The value for /NUMADMIN is 
                                 overridden by the maximum number of users
                                 specified for ADMIN$.

   /NUMBIGBUF:n                  Is the number of big buffers the server
                                 uses. The range is 0-80; the default is
                                 3 big buffers. The Setup program adjusts 
                                 this value based on /MAXUSERS.

   /NUMFILETASKS:n               Is the number of file-worker threads the
                                 server users. The range is 1-8; the default
                                 is 1 thread.

   /NUMREQBUF:n                  Is the maximum number of buffers (in
                                 addition to the big buffers) the server
                                 can have. The range is 5-300; the default
                                 is 15 buffers. The Setup program adjusts 
                                 this value based on /MAXUSERS.

   /SECURITY:{USER | SHARE}      Is user-level or share-level security. The
                                 default is USER. To permanently change the
                                 value of /SECURITY, use the Setup program.

   /SIZREQBUF:n                  Is the maximum number of bytes for server
                                 buffers other than big buffers. The range
                                 is 1024-32768; the default is 4096 bytes.

   /SRVANNDELTA:n                Is the number of milliseconds to add to or
                                 subtract from the announce rate to help
                                 balance data traffic on the network. The
                                 range is 0-65535; the default is 3000
                                 milliseconds.

   /SRVANNOUNCE:n                Is the number of seconds between announcements
                                 (if the server is not hidden). The range is 
                                 0-65535; the default is 60 seconds.

   /SRVCOMMENT:"text"            Is a descriptive comment about the server.
                                 The comment can have as many as 48 characters.
                                 Enclose the text in quotation marks.

   /SRVHEURISTICS:numbers        Is a set of digits that adjust the performance
                                 of the server.

   /SRVHIDDEN:{YES | NO}         When set to YES, omits the servername from
                                 lists of servers. When set to NO (the default),
                                 restores a hidden server name to lists of
                                 servers on the network. The default value for 
                                 a workstation running the Peer service is YES.

   /SRVNETS:name[,...]           Lists the name(s) of networks on which the
                                 server is working. 

   /SRVSERVICES:service [...]    Names the services to start when the
                                 Server service starts.

   /USERPATH:pathname            Specifies the path and directory containing 
                                 the user directories. A pathname can be
                                 absolute, a network path, or relative to 
                                 the LANMAN directory. The default is
                                 LANMAN\ACCOUNTS\USERDIRS.
.3           TIMESOURCE
:3
#3 NET START TIMESOURCE starts the LAN Manager Timesource service, which
   designates a server as the time source for the domain.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   There are no options for this command.
.3           UPS
:3               [/BATTERYTIME:seconds]
                 [/CMDFILE:pathname]
                 [/MESSDELAY:seconds]
                 [/MESSTIME:seconds]
                 [/RECHARGE:minutes]
                 [/SIGNALS:###]
                 [/VOLTLEVELS:###]
#3 NET START UPS starts the LAN Manager UPS (uninterruptible power supply)
   service, which is used with a battery to protect a server from data loss
   during a power failure. When used without options, NET START UPS starts 
   the service using the default values specified in the LANMAN.INI file's 
   [ups] section. An option typed from the command line overrides the value 
   in the LANMAN.INI file until the service is stopped.

   During a power failure, the UPS service provides for an orderly shutdown 
   of a server. The UPS service pauses the Server service and waits for an
   interval of time. If the main power is not restored, users are instructed
   to disconnect from the server (if they have power). Then the UPS service
   stops all LAN Manager services and writes all data in cache memory to
   permanent storage. 

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /BATTERYTIME:seconds  Is the number of seconds the server can run on a 
                         battery before the UPS service initiates shutdown. This 
                         entry is relevant only if the low battery signal is 
                         unavailable. The range is 0-28800; the default is 
                         60 seconds.

   /CMDFILE:pathname     Is the pathname for the .CMD file to be run before the
                         network services are shut down. The pathname can be
                         absolute or relative to the LANMAN directory. There
                         is no default, implying no .CMD file should be run.

   /MESSDELAY:seconds    Is the number of seconds between initial power 
                         failure and the first message sent to the user. No
                         messages are sent if power is restored within this
                         amount of time. The range is 0-120; the default is 
                         5 seconds.

   /MESSTIME:seconds     Is the number of seconds between messages sent to 
                         users notifying them of a continued power failure.
                         The range is 30-300; the default is 120 seconds.

   /RECHARGE:minutes     Is the number of minutes of recharge time required 
                         for each minute of battery runtime. This entry is 
                         optional depending on the battery specification. 
                         The range is 5-250; the default is 100 minutes.

   /SIGNALS:###          Specifies the signals available from the battery. 
                         This is a 3-digit value: 
                         ž  The first digit is 1 (the default) if the battery
                            can signal the UPS service upon power failure, or 
                            0 if it cannot.
                         ž  The second digit is 0 (the default) if the battery
                            does not signal the UPS service about low power, 
                            and 1 if it signals when a specified amount, such 
                            as 2 minutes worth, of power remains. 
                         ž  The third digit is 1 if the battery accepts a
                            shutdown signal from the UPS service, and 0 
                            (the default) if it does not. If the third digit 
                            is 1, the UPS service does an orderly shutdown of
                            the LAN Manager software, and then the battery 
                            stops providing backup power to the computer. When
                            the battery detects power restoration, it restarts
                            the computer. 

   /VOLTLEVELS:###       Specifies the voltage levels for the signals listed
                         in the /SIGNALS entry. This is a 3-digit value:
                         ž  The first digit is 0 if the battery uses a negative
                            voltage to signal the UPS service of a power
                            failure, and 1 (the default) if it uses a positive
                            voltage. 
                         ž  The second digit is 0 (the default) if the battery
                            uses a negative voltage to signal the UPS service
                            that it has less than 2 minutes of power remaining,
                            and 1 if it uses a positive voltage. 
                         ž  The third digit is 0 (the default) if the battery
                            recognizes a negative voltage as the shutoff 
                            signal, or 1 if it recognizes a positive voltage 
                            as the shutoff signal.

   Note that the /BATTERYTIME, /RECHARGE, /SIGNALS, and /VOLTLEVELS options
   should be configured based on the power supply specification.
.3           WORKSTATION
:3 
   with the following options:
     [/CHARCOUNT:bytes]          [/NUMDGRAMBUF:n]
     [/CHARTIME:msec]            [/NUMSERVICES:n]
     [/CHARWAIT:sec]             [/NUMWORKBUF:n]
     [/COMPUTERNAME:name]        [/OTHDOMAINS:name[,...]]
     [/DOMAIN:name]              [/PRINTBUFTIME:sec]
     [/KEEPCONN:sec]             [/SESSTIMEOUT:sec]
     [/KEEPSEARCH:sec]           [/SIZCHARBUF:bytes]
     [/MAILSLOTS:{YES | NO}]     [/SIZERROR:bytes]
     [/MAXERRORLOG:kbytes]       [/SIZWORKBUF:bytes]
     [/MAXWRKCACHE:kbytes]       [/WRKHEURISTICS:numbers]
     [/NUMALERTS:n]              [/WRKNETS:name[,...]]
     [/NUMCHARBUF:n]             [/WRKSERVICES:service[,...]]
#3 NET START WORKSTATION starts the LAN Manager Workstation service, which
    enables your computer to use shared resources on the network. When used
    without options, NET START WORKSTATION starts the service using the values
    specified in the LANMAN.INI file's [workstation] section. An option typed
    from the command line overrides the value in the LANMAN.INI file until the
    service is stopped.

   To get Help one screen at a time, type NET HELP command | MORE.
$3        
   /CHARCOUNT:bytes            Is the amount of data in bytes that LAN Manager 
                               collects before sending it to a communication 
                               device. If /CHARTIME is also set, LAN Manager 
                               acts on whichever option is satisfied first. The
                               range is 0-65535; the default is 16 bytes.

   /CHARTIME:msec              Is the number of milliseconds LAN Manager
                               collects data before sending it to a
                               communication device. If /CHARCOUNT is also 
                               set, LAN Manager acts on whichever option is
                               satisfied first. The range is 0-65535000; the 
                               default is 250 milliseconds.

   /CHARWAIT:sec               Is the number of seconds LAN Manager waits for
                               a communication device to become available.
                               The range is 0-65535; the default is 3600
                               seconds.

   /COMPUTERNAME:name          Is the workstation's name. The Workstation
                               service won't start if the computername matches
                               any other computername or domain name on the
                               network, the username of any user currently
                               logged on to the network, or any message alias
                               currently in use on the network. The name can 
                               have as many as 15 characters. 

   /DOMAIN:name                Is the name of the workstation domain. The name
                               can have 1-15 characters.

   /KEEPCONN:sec               Is the number of seconds LAN Manager maintains
                               a connection you're not using. Inactive sessions
                               are ended after this interval. The range is 
                               1-65535; the default is 600 seconds.

   /KEEPSEARCH:sec             Is the number of seconds LAN Manager
                               maintains a directory search request. Directory
                               search requests are discarded after this 
                               interval is reached. The range is 1-65535; 
                               the default is 600 seconds.

   /MAILSLOTS:{YES | NO}       Determines whether the workstation can receive
                               second-class mailslots. If the value is NO, a 
                               user at the workstation can't use the NET VIEW
                               command. If the value is NO on a server,
                               the server can't run the Replicator or Netlogon
                               services. The default is YES.

   /MAXERRORLOG:kbytes         Is the size in kilobytes of the error log.
                               The range is 2 to the total disk size; the 
                               default is 100 kilobytes.

   /MAXWRKCACHE:kbytes         Is the number of kilobytes set aside for large
                               transfers of data. The range is 0-640; the
                               default is 64 kilobytes.

   /NUMALERTS:n                Is the number of program tasks that can wait
                               for an alert condition. The range is 3-200;
                               the default is 12 tasks.

   /NUMCHARBUF:n               Is the number of character device and pipe
                               buffers the workstation uses. The range is 
                               0-15; the default is 10 buffers.

   /NUMDGRAMBUF:n              Is the number of buffers available for 
                               receiving information (datagrams). The value you
                               set for /NUMDGRAMBUF is the number of buffers
                               available for each network listed in the /WRKNETS
                               entry. The range is 8-112; the default is 
                               14 buffers.

   /NUMSERVICES:n              Is the maximum number of LAN Manager services 
                               that can run simultaneously. The range is 4-256;
                               the default is 8 services.

   /NUMWORKBUF:n               Is the number of buffers the workstation uses.
                               The range is 3-50; the default is 15 buffers.

   /OTHDOMAINS:name[,...]      Lists as many as four other domains in which 
                               the workstation can view servers and receive
                               messages.

   /PRINTBUFTIME:sec           Is the number of seconds the PRN: print device is
                               kept open (for compatibility-mode print
                               requests). Most applications that use MS OS/2
                               compatibility mode do not explicitly close the
                               PRN: print device to tell MS OS/2 to send the
                               contents of the print buffer to the printer
                               queue. The range is 0-65535; the default is 
                               90 seconds.

   /SESSTIMEOUT:sec            Is the number of seconds LAN Manager
                               maintains a connection to a server that isn't
                               responding. The range is 10-65535; the default
                               is 45 seconds.

   /SIZCHARBUF:bytes           Is the size in bytes of each character device and
                               named pipe buffer. The range is 64-4096; the
                               default is 512 bytes.

   /SIZERROR:bytes             Is the size in bytes of the workstation's 
                               internal error buffer. The range is 256-4096;
                               the default is 1024 bytes.

   /SIZWORKBUF:bytes           Is the size in bytes of each workstation buffer.
                               The range is 1024-16384; the default is 
                               4096 bytes.

   /WRKHEURISTICS:numbers      Is a set of digits that adjust the performance
                               of the workstation.

   /WRKNETS:name[,...]         Specifies the network(s) in which the workstation
                               participates. This name(s) is listed in the 
                               [networks] section of LANMAN.INI. 

   /WRKSERVICES:service[,...]  Lists the LAN Manager service(s) that starts 
                               automatically when the Workstation service 
                               starts.
:2           [service [options]]
#2 NET START starts the following LAN Manager services: 
              ž Alerter          ž Remoteboot
              ž Messenger        ž Replicator
              ž Netlogon         ž Server
              ž Netpopup         ž Timesource
              ž Netrun           ž UPS
              ž Peer             ž Workstation

   When you start a service and specify options, the options override
   corresponding entries in LANMAN.INI until the service is stopped.
   When used without options, NET START lists running services. If none 
   are started, LAN Manager offers to start the Workstation service.

   To get more help about starting a service, type NET HELP START service.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   options  Are specific to the service. To get help with a service's options,
            type NET HELP START service /options. An option typed from the
            command line overrides the value in the LANMAN.INI file until the
            service is stopped.

   service  Is one of the following services:
              ž Alerter          ž Remoteboot
              ž Messenger        ž Replicator
              ž Netlogon         ž Server
              ž Netpopup         ž Timesource
              ž Netrun           ž UPS
              ž Peer             ž Workstation

.2     STATISTICS
:2 
   For a workstation:
   NET STATISTICS [WORKSTATION | PEER] [/CLEAR]

   For a server:
   NET STATISTICS [WORKSTATION | PEER | SERVER] [/CLEAR]
#2 NET STATISTICS clears a list of statistics about workstation or server
   functions on a computer. When used without options, it displays a list 
   of services for which statistics are available.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   PEER         Displays statistics for a workstation running the Peer
                service.

   SERVER       Displays server statistics.

   WORKSTATION  Displays workstation statistics.

   /CLEAR       Clears the statistics log.

.2     STATUS
:2
#2 NET STATUS displays configuration settings and shared resources for the
   local server.

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   There are no options for this command.

.2     STOP
:2          service
#2 NET STOP stops one of the following LAN Manager services: 
              ž Alerter          ž Remoteboot
              ž Messenger        ž Replicator
              ž Netlogon         ž Server
              ž Netpopup         ž Timesource
              ž Netrun           ž UPS
              ž Peer             ž Workstation

   Stopping a service cancels any network connections the service is 
   using. Also, some services are dependent on others. Stopping one
   service can stop others.

   You must have administrative privilege to stop the Server service.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   service  Is one of the following services:
              ž Alerter          ž Remoteboot
              ž Messenger        ž Replicator
              ž Netlogon         ž Server
              ž Netpopup         ž Timesource
              ž Netrun           ž UPS
              ž Peer             ž Workstation

.2     TIME
:2          [\\computername | /DOMAIN[:name]] [/SET]
#2 NET TIME synchronizes the workstation's clock with that of a server or
   domain, or displays the time for a server or domain. When used without
   options, it displays the current date and time at the server designated
   as the time server for the domain.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername  Is the name of the server whose time you want to view or
                   synchronize with.

   /DOMAIN[:name]  Is the server that controls domain activity in your 
                   workstation domain. Use name to specify a different 
                   domain.

   /SET            Synchronizes the workstation's clock with that of the 
                   specified server or domain.

.2     USE
:2         [devicename] [\\computername\sharename [password | *]]
           printdevicename [\\computername\sharename [password | *] /COMM]
           {devicename | \\computername\sharename} /DELETE
#2 NET USE connects a workstation to a shared resource or disconnects a 
   workstation from a shared resource. When used without options, it lists 
   the workstation's connections.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername   Is the name of the server sharing the resource.

   devicename       Assigns a name to connect to the resource or specifies 
                    the device to be disconnected. There are devicenames for
                    disk drives (D:-Z:), printers (LPT1:-LPT9:), and
                    communication devices (COM1:-COM9:).

   password | *     Is the password needed to use the shared resource. An
                    asterisk (*) produces a prompt for the password. The
                    password will not be displayed when you type it.

   printdevicename  Is the name of a printer device (LPT1: through LPT9:).

   \sharename       Is the name of the shared resource.

   /COMM            Specifies that an LPT devicename is to be connected to a
                    communication-device queue that is unspooled.

   /DELETE          Cancels a network connection.

.2     USER
:2          [username [password | *] [options]]
            username {password | *} /ADD [options]
            username [/DELETE]
#2 NET USER creates and modifies user accounts on servers with user-level
   security. When used without options, it lists the user accounts for the
   server. The user account information is stored in an accounts database
   (LANMAN\ACCOUNTS\NET.ACC).

   This command only works on servers.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        

   password | *  Assigns or changes a password (which can have as many as 14
                 characters) for the user's account. The user can later 
                 choose a different password. A password must satisfy any
                 minimum length set with the /MINPWLEN option of NET ACCOUNTS.
                 An asterisk (*) produces a prompt for the password. The
                 password will not be displayed when you type it.

   username      Is the name of the account (which can have as many as 20
                 characters) to be added, deleted, or modified. To see
                 information about a user's account, type NET USER username.

   /ADD          Adds a user account to the user accounts database.

   /DELETE       Removes a user account from the user accounts database. 

   options       Are as follows:

      Option                     Description
      ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ         ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
      /ACTIVE:{YES | NO}         Activates or deactivates the account. If 
                                 the account is not active, the user cannot
                                 access the server. The default is YES.

      /COMMENT:"text"            Provides a descriptive comment about the
                                 user's account (maximum of 48 characters).
                                 Enclose the text in quotation marks. 

      /COUNTRYCODE:nnn           Uses the operating system country code to
                                 implement the specified language files for a
                                 user's help and error messages. A value of
                                 0 signifies the default country code. 

      /EXPIRES:{date | NEVER}    Causes the account to expire if date is
                                 set. NEVER sets no time limit on the
                                 account. An expiration date is in the
                                 form mm,dd,yy or dd,mm,yy, depending on the
                                 country code. Months can be a number,
                                 spelled out, or abbreviated with three
                                 letters. Year can be two or four numbers.
                                 Use commas or slashes(/) (no spaces) to
                                 separate parts of the date. 

      /FULLNAME:"name"           Is a user's full name (rather than a 
                                 username). Enclose the name in quotation
                                 marks.

      /HOMEDIR:pathname          Is the pathname of the user's home directory.
                                 Before specifying a home directory, create
                                 the directory on the server. The suggested
                                 pathname is:
                                    drive:\LANMAN\ACCOUNTS\USERDIRS\USERDIR.
                                 The pathname can be an absolute path or a 
                                 network path.

      /HOMEDIRREQ:{YES | NO}     Specifies whether a home directory is
                                 required. If so, use the /HOMEDIR option 
                                 to specify the directory.

      /LOGONSERVER:{\\computername | \\*}
                                 Specifies a particular server in the domain
                                 to verify logon requests. The default value
                                 (blank) is any domain controller unless the
                                 account is the "admin" account created with the
                                 Setup program. This account defaults to the
                                 primary domain controller. Use \\computername
                                 to specify the computername of a domain
                                 controller. Use \\* to specify that any domain
                                 controller can validate the user's logon
                                 request. 

      /MAXSTORAGE:{number | UNLIMITED}
                                 Sets the maximum amount of storage in
                                 kilobytes for a user's home directory. 
                                 The default is UNLIMITED.

      /OPERATOR:list[,...]       Assigns limited administrative privileges. 
                                 Operator privileges enable a user to view and
                                 change settings for various "admin-only"
                                 resources. (A blank value withholds
                                 operator privileges.) Separate entries in
                                 the list with commas. The privileges are:

         Privilege    Allows you to
         ÄÄÄÄÄÄÄÄÄ    ÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄÄ
         ACCOUNTS     Add, delete, and modify user accounts, and update
                      logon requirements for the user accounts database, 
                      but not grant administrative privilege or assign
                      operator privilege.

         COMM         Control shared communication-device queues.

         PRINT        Control shared printer queues.

         SERVER       Control shared resources on a server, read and clear
                      the error log, close sessions and files that are open.

      /PASSWORDCHG:{YES | NO}    Specifies whether users can change their
                                 own password. The default is YES.

      /PASSWORDREQ:{YES | NO}    Specifies whether a user account must have
                                 a password. The default is YES.

      /PRIVILEGE:priv            Assigns the user's privilege level. Privilege
                                 levels are "guest," "user," or "admin."
                                 They affect an account's default rights to
                                 access resources. The default is "user."

      /SCRIPTPATH[:pathname]     Is the location of the user's logon
                                 script. This pathname is relative to the
                                 directory listed in the scripts entry in the
                                 [netlogon] section of the LANMAN.INI file.

      /TIMES:{times | ALL}       Is the logon hours. TIMES is expressed as
                                 day[-day][,day[-day]],time[-time][,time
                                 [-time]], limited to 1-hour increments.
                                 Days can be spelled out or abbreviated.
                                 Hours can be 12- or 24-hour notation. For
                                 12-hour notation, use am, pm, a.m., or
                                 p.m. ALL means a user can always log on,
                                 and a blank value means a user can never 
                                 log on. Separate day and time entries with 
                                 a comma, and separate multiple day and time
                                 entries with a semicolon.

      /USERCOMMENT:"text"        Lets an administrator add or change the User 
                                 Comment for the account. Users can add or 
                                 change the User Comment with the LAN Manager 
                                 Screen.

      /WORKSTATIONS:{computername[,...] | *}
                                 Lists as many as eight workstations from
                                 which a user can log on to the network. If 
                                 /WORKSTATION has no list or if the list is *,
                                 the user can log on from any workstation.

.2     VIEW
:2          [\\computername]
#2 NET VIEW displays a list of resources being shared on a server. When used
   without options, it displays a list of servers in your workstation domain,
   logon domain, and other domains specified in the LANMAN.INI file.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername  Is a server whose shared resources you want to view.

.2     WHO
:2         [/DOMAIN[:name] | \\computername | username]
#2 NET WHO lists usernames logged on to the network. When used without
   options, it displays information about users in the logon domain.
   You must be logged on to use NET WHO.

   To get Help one screen at a time, type NET HELP command | MORE.
$2        
   \\computername  Is the name of the server or workstation whose users you
                   want information about.

   username        Is the name of the user you want information about.

   /DOMAIN[:name]  Is the domain whose users you want information about. 
                   The logon domain is used unless a domain name is specified.
:1 
#1     /MONO

   The keyword NET specifies LAN Manager commands. When used without options,
   NET starts the LAN Manager Screen for users.
$1        
   /MONO    May present a clearer display on a monochrome screen. Type the
            command with and without /MONO and decide which display is best.
:0
#0
/*
    This is how this file works. NET HELP looks for a match between the command
    specified at run time and one of the entries in this file. For each entry
    in this file there can be associated with it a subentry, which constitutes
    an option for that command (or sub-command). HELP (NET HELP) first searches
    for a match at level 1. If it finds a match at this level it continues
    searching for a sub-level (if one was specified at run time). As HELP
    finds matches it displays them , by doing so it builds the command
    in it's proper syntax. If no sub commands were entered at run time HELP
    stops and displays the help associated with that level.

    SOME RULES:
	 Operators are the funny 2 character symbols that start every line -
	 they are the characters !, %, ., :, and # followed by a alphanumeric
	 character.

	 Every operator must start in column 1.

	 Every operator must be separated from the info that follows it by at
	 least one space.

	 The end of every line must contain a newline. (Trailing spaces will
	 causes matches to fail on ".X" entries.)

	 Every ".1" entry MUST have a corresponding "#1" entry.


    This file consists of 4 sections. These sections are ...

	COMMENTS are delimited by a "/*" at the beginning of a line (must
	    start in column 1) indicating the beginning of the comment section.
	    A "*/" at the beginning of a line marks the end of the comment sec-
	    tion. Only two comment section are allowed, one at the very be-
	    ginning of the file and one at the very end. It is recommended that
	    the comment section at the beginning of the file be kept very
	    small to minimize access time to "help data" by the help command.

	ALIASES are defined by a "%A" beginning in column 1. Aliases allow
	    you to define another name for a given command. For example if
	    you wish to change the name of the "ALERTER" to "WATCHDOG"
	    you could do so by entering the line,

			 %A ALERTER: WATCHDOG

	    starting at column 1. If there are additional Aliases they should
	    be specified on the same line separated by commas. This tells the
	    help command that if someone types "net help watchdog" they really
	    mean "net help alerter."  Trailing spaces are significant (for this
	    release) in alias names. Beware!

	COMMANDS are additional commands that you want NET HELP to document.
	    They are defined by placing !C operator (yes starting in column
	    1) followed by the command name on a separate line.
	    An example of this is the AT commands. This
	    is not really NET commands but you can get help on it through
	    NET by entering it with the COMMANDS section in this file. For
	    example if you want to get help on your PHONE command that you wrote
	    and the only help utility you have is the NET HELP utility. To
	    add phone to this utility you must place the following line in the
	    Commands section of this file,

			!C PHONE

	    starting in column 1. Now all that remains is to add the PHONE
	    help data to the DATA section of this file. (See DATA below)
	    (YES, you can assign aliases to commands that you declare in this
	    section. But you must assign the aliases in the alias section
	    first.)

	DATA is the actual text that gets printed when you request help.
	    The format for the data section is set up in a way such that
	    the NET HELP command picks up information about a command as it
	    reads through this file. The format of the data section is as
	    follows;

	    The Command Name (this is the proper name used to reference a
	    specific command - any other name used to access this command should
	    be entered in the alias list above) should be preceded by a
	    ".1". This defines that this Command Name would normally be the
	    first thing typed when entering the command. An example of a ".1"
	    Command Name would be NET. When HELP finds this entry, it knows
	    what follows pertains to the NET command. What follows this ".1"
	    entry can be one of 2 possible fields. The syntax operator ":1" or
	    a sub option operator ".2".

		    Another option of the NET command could follow. If, as it
	    does, the NET command has many options that can be specified, they
	    should be enumerated on separate lines.  Each level of help for a
	    specific command constitutes a higher "dot number". I think an
	    example would make this clearer. Lets look at a help entry for the
	    NET START command. The NET START command has additional options.
	    NET START [SERVER WORKSTATION ALERTER ...etc]. In this example NET
	    is the ".1" entry, START is a ".2" entry and SERVER, WKSTA, and
	    ALERTER are all ".3" entries.

	    .1	NET
	    .2	    START
	    .3		SERVER
	    .3		ALERTER
	    .3		WORKSTATION

	    In the example above I indented each level, this helps you
	    visualize what's going on and is legal to do as long as the
	    .X starts in column 1.

	    This is all fine and well but what about the help for NET
	    START SERVER. As stated before HELP allows two levels of
	    assistance , Syntax and Help. You may choose to have the help
	    be the same for all NET START options but obviously want
	    different syntax displayed for each option. In order to do
	    this you must place the help for any option (or sub-option)
	    in the file prior to the help for the actual command. Sticking
	    with our original example, lets assume that the SERVER and
	    the WORKSTATION have enough in common that they want to share
	    the same help message, but the alerter has some different
	    information. We can accomplish this by specifying syntax, but
	    no help for the SERVER and WORKSTATION options and specifying
	    both for the ALERTER.

	    .1	NET
	    .2	    START
	    .3		SERVER
(Syntax)    :3		    /Security /Autodisconnect ...etc
	    .3		ALERTER
(Syntax)    :3
(Help)	    #3		    The alerter is the service that bla bla bla...etc
	    .3		WORKSTATION

(Syntax)    :3		    /Computername /Chartime ...etc
(Syntax)    :2
(Help)	    #2		This is the help for NET START bla ... etc

		In the example above you will note a couple of things.
	    First, I introduced two new operators ":" and "#". As indicated by
	    the parentheses the ":" operator defines syntax data and "#"
	    defines help data. Secondly, you may have noticed there were no
	    syntax entries for the NET START ALERTER or NET START. In the
	    case of NET START ALERTER, there may be no more syntax to be
	    specified, since HELP generates the syntax as it reads the entries.
	    In the case of NET START, leaving the syntax field blank, tells
	    HELP to generate an option lists for the START command from the
	    .3 entries found contained in the START section. If however,
	    syntax information would have been placed there, HELP would have
	    displayed the supplied information.

		This behavior can be expanded to 8 levels of sub-options.
	    All level 1 (".1") entries must have a help ("#1") entry. The end
	    of the data section must be marked by the following lines,

	    :0
	    #0

	    beginning in column 1. There can be no more than 512 characters in
	    the option field including the spaces between the options and the
	    brackets. White space following the ".X" operators is ignored, white
	    space following the ":X" and "#X" operators is printed exactly as
	    entered. If data is entered on the next line following the syntax or
	    help operators it is printed as entered, except that the first three
	    columns are always ignored.



*/
